-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le : Sam 10 Avril 2021 à 15:00
-- Version du serveur: 5.5.16
-- Version de PHP: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `factory_db`
--

-- --------------------------------------------------------

--
-- Structure de la table `tb_action`
--

CREATE TABLE IF NOT EXISTS `tb_action` (
  `id_action` int(11) NOT NULL AUTO_INCREMENT,
  `nature_action` varchar(30) NOT NULL,
  `date_action` date NOT NULL,
  `nom_produit` varchar(80) NOT NULL,
  `quantite_produit` int(11) NOT NULL,
  `numero` int(11) NOT NULL,
  PRIMARY KEY (`id_action`),
  KEY `fk` (`numero`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

--
-- Contenu de la table `tb_action`
--

INSERT INTO `tb_action` (`id_action`, `nature_action`, `date_action`, `nom_produit`, `quantite_produit`, `numero`) VALUES
(1, 'COMMANDE', '2021-04-09', 'VERRE', 0, 1),
(2, 'COMMANDE', '2021-04-09', 'ASSIETTE', 0, 1),
(3, 'COMMANDE', '2021-04-09', 'CUILLIERE', 0, 1),
(4, 'COMMANDE', '2021-04-09', 'FOURCHETTE', 1200, 2),
(5, 'COMMANDE', '2021-04-09', 'CUILLIERE', 2400, 2),
(8, 'COMMANDE', '2021-04-10', 'ASSIETTE', 120, 2),
(9, 'LIVRAISON', '2021-04-10', 'VERRE', 1800, 1),
(11, 'COMMANDE', '2021-04-10', 'VERRE', 360, 3),
(15, 'LIVRAISON', '2021-04-10', 'CUILLIERE', 2240, 1),
(17, 'COMMANDE', '2021-04-10', 'COUTEAU', 480, 3),
(18, 'COMMANDE', '2021-04-10', 'FOURCHETTE', 98, 3),
(19, 'COMMANDE', '2021-04-10', 'ASSIETTE', 372, 4),
(20, 'COMMANDE', '2021-04-10', 'ASSIETTE', 0, 1),
(24, 'COMMANDE', '2021-04-10', 'ASSIETTE', 0, 1),
(27, 'COMMANDE', '2021-04-10', 'VERRE', 220, 4),
(28, 'COMMANDE', '2021-04-10', 'COUTEAU', 1224, 4),
(29, 'COMMANDE', '2021-04-10', 'FOURCHETTE', 0, 1),
(30, 'LIVRAISON', '2021-04-10', 'FOURCHETTE', 120, 1);

-- --------------------------------------------------------

--
-- Structure de la table `tb_client`
--

CREATE TABLE IF NOT EXISTS `tb_client` (
  `num_ordre` int(11) NOT NULL,
  `nom_client` varchar(150) NOT NULL,
  `contact_client` varchar(30) NOT NULL,
  PRIMARY KEY (`num_ordre`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `tb_client`
--

INSERT INTO `tb_client` (`num_ordre`, `nom_client`, `contact_client`) VALUES
(1, 'ASRA DJIMBAYE', '60893415'),
(2, 'AHMAT IDRISS', '66124701'),
(3, 'ALTEBAY RICHARD', '66070711'),
(4, 'ALFRED MARCUS', '66778811');

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `tb_action`
--
ALTER TABLE `tb_action`
  ADD CONSTRAINT `fk` FOREIGN KEY (`numero`) REFERENCES `tb_client` (`num_ordre`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
